DO $$ 
    BEGIN
        BEGIN
	  IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=1765) THEN
		RETURN;
          END IF;
	INSERT INTO public."MessageSettings"("Key",  "Value", "Lang") VALUES('ResetPasswordByUserEmail|Subject' ,N'Смена пароля','')
	ON CONFLICT ("Key") DO UPDATE SET "Value"= EXCLUDED."Value","Lang"= EXCLUDED."Lang";

	INSERT INTO public."MessageSettings"("Key",  "Value", "Lang") VALUES('ResetPasswordByUserEmail|BodyHtml' ,N'Для восстановления пароля перейдите по <a href="{0}">ссылке</a> и в открывшемся окне введите новый пароль. Ссылка действует 24 часа.','')
	ON CONFLICT ("Key") DO UPDATE SET "Value"= EXCLUDED."Value","Lang"= EXCLUDED."Lang";

	INSERT INTO public."MessageSettings"("Key",  "Value", "Lang") VALUES('ResetPasswordByUserEmail|BodyText' ,N'Для восстановления пароля перейдите по <a href="{0}">ссылке</a> и в открывшемся окне введите новый пароль. Ссылка действует 24 часа.','')
	ON CONFLICT ("Key") DO UPDATE SET "Value"= EXCLUDED."Value","Lang"= EXCLUDED."Lang";
	
        EXCEPTION
            WHEN OTHERS THEN RAISE NOTICE 'Update <ResetPasswordByUserEmail> message error.';
        END;
    END;
$$
